﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="admin_ForgetPass.aspx.cs" Inherits="admin_module_admin_ForgetPass" %>


<!doctype html>
<!--[if lt IE 7]>      <html class="no-js lt-ie9 lt-ie8 lt-ie7" lang=""> <![endif]-->
<!--[if IE 7]>         <html class="no-js lt-ie9 lt-ie8" lang=""> <![endif]-->
<!--[if IE 8]>         <html class="no-js lt-ie9" lang=""> <![endif]-->
<!--[if gt IE 8]><!-->
<html class="no-js" lang="" xmlns="http://www.w3.org/1999/xhtml">
<!--<![endif]-->
<head runat="server">
   <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" />
    <title>Bcenters - Hệ thống quản lí và phát triển giáo dục toàn diện</title>
    <meta name="keywords" content="BEEKIDS | Bcenters - Hệ thống quản lí và phát triển giáo dục toàn diện" />
    <meta name="description" content="BEEKIDS - CMS Admin | Bcenters - Hệ thống quản lí và phát triển giáo dục toàn diện" />
    <link rel="apple-touch-icon" href="/admin_images/favicon.png" />
    <link rel="shortcut icon" href="/admin_images/favicon.png" />
    <link rel="canonical" href="https://dev-cms.beekids.edu.vn/" />
    <meta property="og:url" content="https://dev-cms.beekids.edu.vn/" />
    <meta property="og:title" content="BEEKIDS | Bcenters - Hệ thống quản lí và phát triển giáo dục toàn diện" />
    <meta property="og:type" content="website" />
    <meta property="og:image" content="/admin_images/Logo_Bkids.png" />
    <meta property="og:description" content="BEEKIDS - CMS Admin | Bcenters - Hệ thống quản lí và phát triển giáo dục toàn diện" />
    <meta name="format-detection" content="telephone=no" />
    <link rel="stylesheet" href="/admin_css/normalize.css" />
    <link rel="stylesheet" href="/admin_css/bootstrap.min.css" />
    <link rel="stylesheet" href="/admin_css/font-awesome.min.css" />
    <link rel="stylesheet" href="/admin_css/themify-icons.css" />
    <link rel="stylesheet" href="/admin_css/pe-icon-7-filled.css" />
    <link rel="apple-touch-icon" href="/admin_images/favicon.png" />
    <link rel="shortcut icon" href="/admin_images/favicon.png" />
    <link rel="stylesheet" href="/admin_css/style.css" />
    <style>
        .block-pass {
            position: relative;
        }

            .block-pass .form-control {
                padding-right: calc(2.25rem + 2px);
            }

        .view-pass {
            width: calc(2.25rem + 2px);
            height: calc(2.25rem + 2px);
            position: absolute;
            right: 0;
            top: 0;
            background: none;
            border: none;
        }

            .view-pass.view .fa-eye, .view-pass .fa-eye-slash {
                display: none;
            }

            .view-pass .fa-eye, .view-pass.view .fa-eye-slash {
                display: inline-block;
            }

        .logo-view {
            text-align: center;
            margin-bottom: 2em;
        }

            .logo-view span {
                display: block;
                font-size: 26px;
                text-align: center;
                font-weight: 600;
                margin-top: 2rem;
            }

            .logo-view img {
                max-height: 65px;
                margin-bottom: 1em;
                margin: 0 1em;
            }
    </style>
    <link href='https://fonts.googleapis.com/css?family=Open+Sans:400,600,700,800' rel='stylesheet' type='text/css' />
    <script src="/admin_js/sweetalert.min.js"></script>
</head>

<body class="bg-dark">
    <form id="form1" runat="server">
        <div class="sufee-login d-flex align-content-center flex-wrap">
            <div class="container">
                <div class="login-content">

                    <div class="login-form">
                        <div class="logo-view">
                            <div class="logo-list">
                               <img class="align-content" src="/admin_images/logo-songhan.png" alt="" /> <img class="align-content" src="/admin_images/logo-bcenters.png" alt="" /></div>
                            <span>HỆ THỐNG Quản lí NỘI BỘ</span>
                        </div>
                        <p><i>* Vui lòng nhập email tài khoản để nhận mật khẩu.</i></p>
                        <div class="form-group">
                            <label>Emails</label>
                            <input id="txtemail" type="text" class="form-control" placeholder="Nhập email tài khoản" />
                        </div>
                        <div class="form-group">
                            <a id="btnfogot" href="javascript:void(0)" class="btn btn-dark btn-flat m-b-30 m-t-30">Gửi yêu cầu</a>
                        </div>
                        <div class="register-link m-t-15 text-center">
                            <p>Đăng nhập vào hệ thống? <a href="/dang-nhap">Click me</a></p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <script type="text/javascript">
            var _environment = '<%=ConfigurationManager.AppSettings["Environment"] %>';
            var _apiLink = '<%=ConfigurationManager.AppSettings["APILink"] %>';
        </script>
        <script src="/admin_js/jquery-2.1.4.min.js" type="text/javascript"></script>
        <script src="/admin_js/popper.min.js" type="text/javascript"></script>
        <script src="/admin_js/plugins.js" type="text/javascript"></script>
        <script src="/admin_js/main.js" type="text/javascript"></script>
        <script src="/admin_js/jquery.cookie.js"></script>
        <script type="text/javascript">

            jQuery(document).ready(function ($) {
                fillByMemory();

                var txtemail = document.getElementById("txtemail");
                // Execute a function when the user releases a key on the keyboard
                txtemail.addEventListener("keyup", function (event) {
                    // Number 13 is the "Enter" key on the keyboard
                    if (event.keyCode === 13) {
                        // Cancel the default action, if needed
                        event.preventDefault();
                        // Trigger the button element with a click
                        document.getElementById("btnfogot").click();
                    }
                });
                // Execute a function when the user releases a key on the keyboard

                $('#btnfogot').click(function () {
                    var txtemail = $("#txtemail").val();

                    txtemail = txtemail.trim();
                    txtemail = txtemail.toLowerCase();

                    if (txtemail == "" || txtemail == null || txtemail == "") {
                        swal("Cảnh báo", "Nhập email.", "warning");
                        return false;
                    }

                    if (!validateEmail(txtemail)) {
                        swal("Cảnh báo", "Email không đúng định dạng.", "warning");
                        return false;
                    }

                    $.ajax({
                        url: _apiLink + '/auth/admin/forgotpw',
                        data: '{ "email": "' + txtemail + '"}',
                        method: 'POST',
                        contentType: "application/json; charset=utf-8",
                        dataType: 'json',
                        success: function (data) {
                            swal("Thành công", "Kiểm tra email của bạn!", "success");
                        },
                        error: function (xhr, status, error) {
                            var errorMessage = xhr.status + ': ' + xhr.statusText + ': ' + xhr.responseText
                            swal("Có lỗi xảy ra", errorMessage, "error");
                        }
                    })
                });
            });

            function validateEmail(email) {
                const re = /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
                return re.test(String(email).toLowerCase());
            }
        </script>
    </form>
</body>
</html>
